diff --git a/CMakeLists.txt b/CMakeLists.txt
index 23719c1b..b65dc89b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -218,7 +218,6 @@ catkin_package(
 )
 
 #catkin_lint: ignore_once external_directory
-include_directories(src ${EXPORT_HEADER_DIR})
 include_directories(SYSTEM
   ${EIGEN3_INCLUDE_DIRS}
   ${OGRE_INCLUDE_DIRS}
@@ -229,6 +228,7 @@ include_directories(SYSTEM
   ${ASSIMP_INCLUDE_DIRS}
   ${catkin_INCLUDE_DIRS}
 )
+include_directories(BEFORE src ${EXPORT_HEADER_DIR})
 
 #### If gtk ends up being the best way to get the correct window
